Skip to main content
GET
/
v2
/
listeners
/
{listener_id}
Get Listener
curl --request GET \
  --url https://api.example.com/v2/listeners/{listener_id}
import requests

url = "https://api.example.com/v2/listeners/{listener_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v2/listeners/{listener_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "compute_type": "<string>",
  "compute_id": "<string>",
  "compute_config": {
    "k8s_namespaces": [
      "<string>"
    ]
  },
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "version": "<string>"
}
{
  "detail": "Listeners cannot be created for LangSmith workspace ID '{workspace_id}'. Creating listeners is only allowed for LangSmith organizations with self-hosted enterprise plans."
}
{
  "detail": "Listener ID {listener_id} not found."
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Path Parameters

listener_id
string<uuid>
required

Response

Successful Response

Listener resource.

compute_type
string
required

The compute type of the listener.

This cannot be changed (PUT) once the listener is created.

Allowed value: "k8s"
compute_id
string
required

User assigned unique ID of the compute infrastructure for the listener.

For example, if compute_type is k8s, then the user may set this field to the Kubernetes cluster name. This cannot be changed (PUT) once the listener is created.

compute_config
ListenerComputeConfig · object
required

Fields for a listener that are specific to compute_type.

All fields are nullable, but are validated based on compute_type.

id
string<uuid>
required

System assigned ID of the listener.

This is a read-only field.

created_at
string<date-time>
required

The creation time of the listener.

This is a read-only field.

updated_at
string<date-time>
required

The last update time of the listener.

This is a read-only field.

version
string | null

The version of the listener.